### Hierarchy

- RpcTransportImpl

### Implements

- RpcTransport

## Index

### Constructors

- constructor

### Methods

- disconnect
- request

## Constructors

### constructor

- new RpcTransportImpl(httpTransport: HttpTransport): RpcTransportImpl

- - Defined in repository/source/rpc/RpcTransportImpl.ts:8

  #### Parameters

  - ##### httpTransport: HttpTransport

  #### Returns RpcTransportImpl

## Methods

### disconnect

- disconnect(): void

- Implementation of RpcTransport.disconnect

  - Defined in repository/source/rpc/RpcTransportImpl.ts:27

  #### Returns void

### request

- request<T>(method: string, arg: object): Promise<T>

- - Defined in repository/source/rpc/RpcTransportImpl.ts:14

  #### Type parameters

  - #### T

  #### Parameters

  - ##### method: string

  - ##### arg: object

  #### Returns Promise<T>

Generated using TypeDoc